## lightdm-settings 1.1.1

=== debian/changelog ===
lightdm-settings (1.1.1) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:58:42 +0200

lightdm-settings (1.1.0) sonya; urgency=medium

  * Fix bg color selection

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 10 Jun 2017 16:45:14 +0100

lightdm-settings (1.0.9) sonya; urgency=medium

  [ Michael Webster ]
  * Use a file picker widget for setting logos and backgrounds that allows (#8)

  [ Clement Lefebvre ]
  * Fix filechooser widget not setting value properly.
  * l10n: Update POT file

  [ David Mohammed ]
  * add Headerbar support for GNOME based environments (#12)

  [ Clement Lefebvre ]
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 May 2017 15:10:53 +0100

lightdm-settings (1.0.8) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 14:17:54 +0100

lightdm-settings (1.0.7) sonya; urgency=medium

  * Save LightDM config in /etc/lightdm/lightdm.conf
  * Add a tooltip on allow-guest option to indicate a reboot is necessary.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 May 2017 11:44:34 +0100

lightdm-settings (1.0.6) sonya; urgency=medium

  * Add the ability to enable/disable guest sessions
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 16 May 2017 15:03:22 +0100

lightdm-settings (1.0.5) sonya; urgency=medium

  [ leigh123linux ]
  * fix policy name spelling mistake (#5)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 May 2017 15:26:49 +0100

lightdm-settings (1.0.4) sonya; urgency=medium

  * l10n: Update translations
  * l10n: Generate desktop files
  * Switch away from pkexec

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 15:54:18 +0100

lightdm-settings (1.0.3) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Add support for HiDPI
  * l10n: Update POT file
  * HiDPI: Allow to force HiDPI on or off
  * Don't show a toolbar for now
  * Only support user backgrounds in Ubuntu derivatives

  [ Sam Burgos ]
  * make lightdm-settings executable

  [ Santiago Burgos ]
  * switch to pkexec (#4)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 May 2017 13:28:37 +0100

lightdm-settings (1.0.2) sonya; urgency=medium

  * Change app icon
  * Switch from unity-greeter to slick-greeter
  * Fix color selection

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Apr 2017 19:56:31 +0100

lightdm-settings (1.0.1) sonya; urgency=medium

  * Add icons
  * Add desktop file
  * Create README.md
  * Hide the Stack switcher for now
  * Add makepot and POT file
  * Add COPYING file
  * l10n: Compile PO at build time
  * l10n: Add generate_desktop_files script

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 21 Mar 2017 16:05:23 +0000

lightdm-settings (1.0.0) sonya; urgency=low

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Sun,  19 Mar 2017 11:05:00 +0000

## lightdm-settings 1.6.1

=== Makefile ===
all: buildmo

buildmo:
	@echo "Building the mo files"
	# WARNING: the second sed below will only works correctly with the languages that don't contain "-"
	for file in `ls po/*.po`; do \
		lang=`echo $$file | sed 's@po/@@' | sed 's/.po//' | sed 's/lightdm-settings-//'`; \
		install -d usr/share/locale/$$lang/LC_MESSAGES/; \
		msgfmt -o usr/share/locale/$$lang/LC_MESSAGES/lightdm-settings.mo $$file; \
	done \

clean:
	rm -rf usr/share/locale

## lightdm-settings 1.1.4

=== debian/changelog ===
lightdm-settings (1.1.4-0ubuntu1) bionic; urgency=medium

  * Initial release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 17 Apr 2018 17:50:43 -0500

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Simon Quigley <tsimonq2@ubuntu.com>
Uploaders: Martin Wimpress <code@flexion.org>
Build-Depends: debhelper (>= 11), dh-python, python3-all, python3-setuptools
Standards-Version: 4.1.4
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/tsimonq2-guest/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/tsimonq2-guest/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends: python3-setproctitle,
         python3-xapp,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM tool.

## lightdm-settings 1.2.3

=== debian/changelog ===
lightdm-settings (1.2.3) tara; urgency=medium

  * Don't show guest-account option if /usr/sbin/guest-account isn't present

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 12 Jul 2018 12:38:34 +0200

lightdm-settings (1.2.2) tara; urgency=medium

  [ Michael Webster ]
  * Remove complicated dbus check for user background switch.  It doesn't behave the same on all distros.  The special case of Ubuntu's patched lightdm is irrelevant now, we can just compare versions.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 13:45:00 +0200

lightdm-settings (1.2.1) tara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 12:30:02 +0100

lightdm-settings (1.2.0) tara; urgency=medium

  [ Michael Webster ]
  * Use dbus to check for user background support, as it should now end up being more broadly-supported, rather than just being an Ubuntu patch.

  [ JosephMcc ]
  * Ensure the stack switcher buttons all have the same width (#19)

  [ Clement Lefebvre ]
  * Migrate to Pkexec

  [ JosephMcc ]
  * Add a couple of combos to a size group (#20)

  [ Cobinja ]
  * Add option to show the GUI on a specific monitor (#17)

  [ Clement Lefebvre ]
  * Simplify monitor settings
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 May 2018 14:34:23 +0100

lightdm-settings (1.1.4) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:50:33 +0000

lightdm-settings (1.1.3) sylvia; urgency=medium

  * l10n: Update translations
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 14:05:23 +0000

lightdm-settings (1.1.2) sylvia; urgency=medium

  * Add support for numlockx
  * l10n: Update POT file
  * SettingsWidgets: Add support for spin buttons
  * Expose additional LightDM configuration options
  * Organize settings by pages/sections.
  * l10n: Update POT file
  * l10n: Generate additional files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 13:35:36 +0100

## lightdm-settings 1.2.5

=== debian/changelog ===
lightdm-settings (1.2.5) tessa; urgency=medium

  * Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:45:22 +0000

lightdm-settings (1.2.4) tessa; urgency=medium

  [ JosephMcc ]
  * Settings-widgets: Fix broken theming (#29)

  [ Clement Lefebvre ]
  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 19:36:26 +0000

## lightdm-settings 1.2.8

=== debian/changelog ===
lightdm-settings (1.2.8-1) unstable; urgency=medium

  * New upstream release
    - Updated translations
    - Add feature for autologin-timeout
    - Inform users to install numlockx if activating numlock but package
      is not installed
    - Bug-fix to resolve crash when no GTK+ themes are installed
  * Packaging Changes:
    - Control: Bump StandardsVersion - no changes required
    - Control: Improve package description

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 13 Oct 2019 22:42:43 +0100

lightdm-settings (1.2.5-1) unstable; urgency=medium

  * Initial release (Closes: #928303).

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 01 May 2019 10:12:49 -0500

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Martin Wimpress <code@flexion.org>,
           David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 12), dh-python, python3-all, python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends: python3-setproctitle,
         python3-xapp,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM
 display manager.
 .
 This tool currently lets users configure slick-greeter.

## lightdm-settings 1.2.9

=== debian/changelog ===
lightdm-settings (1.2.9-0mx17) mx; urgency=medium

  * New upstream release
  * Rebuild for MX-17/18

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 06 Oct 2019 12:06:34 -0400

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Martin Wimpress <code@flexion.org>,
           David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 12~), dh-python, python3-all, python3-setuptools
Standards-Version: 4.3.0
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends: slick-greeter,
         python3-setproctitle,
         python3-xapp,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM tool.

## lightdm-settings 1.3.0

=== debian/changelog ===
lightdm-settings (1.3.0-1) unstable; urgency=medium

  * New upstream release
    - Updated translations
    - Add options to change mouse cursor theme
    - Update application style settings to match xapps
    - Remove python 3.6 code
    - Resolve python deprecation warnings
  * Packaging Changes
    - Remove compat and add B-D debhelper-compat

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 23 Nov 2019 00:06:59 +0000

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Martin Wimpress <code@flexion.org>,
           David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 12),
	debhelper-compat (= 12),
	dh-python,
	python3-all,
	python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends: python3-setproctitle,
         python3-xapp,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM
 display manager.
 .
 This tool currently lets users configure slick-greeter.

=== debian/watch ===
version=4
https://github.com/linuxmint/lightdm-settings/releases .*/@ANY_VERSION@@ARCHIVE_EXT@

## lightdm-settings 1.3.3

=== debian/changelog ===
lightdm-settings (1.3.3) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:08:20 +0000

lightdm-settings (1.3.2) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 13:51:57 +0000

lightdm-settings (1.3.1) tricia; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:07:14 +0000

lightdm-settings (1.3.0) tricia; urgency=medium

  [ JosephMcc ]
  * Use newer style settings to match our other applications (#41)

  [ shanmukhateja ]
  * fix Deprecation warnings on Arch and its derivatives (#38)

  [ claudiux ]
  * Add the option to choose the mouse pointer theme (#39)

  [ Clement Lefebvre ]
  * Mouse cursor: Fix msgid and translation
  * l10n: Generate files
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 12:45:36 +0000

lightdm-settings (1.2.9) tina; urgency=medium

  * Remove Python 3.6 code

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 05 Aug 2019 14:45:52 +0200

lightdm-settings (1.2.8) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:26:43 +0200

lightdm-settings (1.2.7) tina; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 12:34:01 +0200

lightdm-settings (1.2.6) tina; urgency=medium

  [ Clement Lefebvre ]
  * Fix generate_desktop_files

  [ Julien Negrotto ]
  * Fix IndexError when no GTK themes are installed (#33)

  [ shanmukhateja ]
  * inform user about numlockx on label for better UX (#36)

  [ Clement Lefebvre ]
  * l10n: Fix msgids

  [ shanmukhateja ]
  * feat: add autologin timeout (#37)

  [ Clement Lefebvre ]
  * l10n: Fix msgids
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 30 Jun 2019 16:44:53 +0200

## lightdm-settings 1.3.3+dfsg.1

=== debian/changelog ===
lightdm-settings (1.3.3+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - Translations
  * Packaging Changes
    - repack source and use dfsg version to denote this
      This resolved lintian information report
    - control: Bump Standards-Version; no changes required
    - copyright: Update copyright years
    - watch: dmangle dfsg version

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 04 Mar 2020 20:53:05 +0000

## lightdm-settings 1.4.2+dfsg.1

=== debian/changelog ===
lightdm-settings (1.4.2+dfsg.1-1) unstable; urgency=medium

  * New upstream release
    - Translations
    - Handle stretch-background-across-monitors capability that replaces
      background-mode in slick-greeter v1.4.1
  * Packaging Changes
    - control: bump debhelper version

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 19 Aug 2020 11:56:23 +0100

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders:
 Martin Wimpress <code@flexion.org>,
 David Mohammed <fossfreedom@ubuntu.com>,
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.5.0
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends:
 python3-setproctitle,
 python3-xapp,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM
 display manager.
 .
 This tool currently lets users configure slick-greeter.

## lightdm-settings 1.5.0

=== debian/changelog ===
lightdm-settings (1.5.0-1) unstable; urgency=medium

  * New upstream release
    - Add settings for editing the clock format
    - translation updates
  * Packaging Changes
    - control: Bump StandardsVersion
    - copyright: Remove debian exclusion since upstream debian package
      no longer shipped in tarball hence no need to repack
      copyright: Update upstream copyright year

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 05 Dec 2020 15:22:16 +0000

## lightdm-settings 1.5.1

=== debian/changelog ===
lightdm-settings (1.5.1-1) unstable; urgency=medium

  * New upstream release
    - translation updates

 -- David Mohammed <fossfreedom@ubuntu.com>  Sun, 27 Dec 2020 11:10:01 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/linuxmint/lightdm-settings
 Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
 Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

## lightdm-settings 1.5.2

=== debian/changelog ===
lightdm-settings (1.5.2) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 16:56:53 +0000

lightdm-settings (1.5.1) ulyssa; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:41:07 +0000

lightdm-settings (1.5.0) ulyssa; urgency=medium

  [ Michael Webster ]
  * Add setting for editing the clock format.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:31:15 +0000

lightdm-settings (1.4.2) ulyana; urgency=medium

  * Fix title in pkexec policy

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 17:37:40 +0100

lightdm-settings (1.4.1) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 Jun 2020 14:14:34 +0100

lightdm-settings (1.4.0) ulyana; urgency=medium

  [ Geoff Paul ]
  * Add control to choose a background-mode setting

  [ Clement Lefebvre ]
  * Background mode: Simplify setting/description of the newly added feature
  * l10n: Update POT
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 11:13:10 +0100

## lightdm-settings 1.5.3+pearl10

=== debian/changelog ===
lightdm-settings (1.5.3+pearl10) buster; urgency=medium

  * Initial Pearl 10 build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Mon, 08 Mar 2021 02:56:53 +0000

## lightdm-settings 1.5.3+pearl10.1

=== debian/changelog ===
lightdm-settings (1.5.3+pearl10.1) buster; urgency=medium

  * Pearl Branding

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sun, 28 Mar 2021 17:10:58 -0500

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Scott Vandergrift <scottvandergrift@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5

Package: lightdm-settings
Architecture: all
Depends: ${misc:Depends}, python3-setproctitle, lsb-release, python3, python3-xapp
Description: LightDM configuration tool
 A configuration tool for the LightDM display manager.

## lightdm-settings 1.5.5

=== debian/changelog ===
lightdm-settings (1.5.5) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 14:52:16 +0100

lightdm-settings (1.5.4) uma; urgency=medium

  * l10n: Update translations
  * l10n: Generate files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 10:51:30 +0100

lightdm-settings (1.5.3) uma; urgency=medium

  * Mouse cursors: Properly parse theme names

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 26 May 2021 15:57:05 +0100

## lightdm-settings 1.5.6

=== debian/changelog ===
lightdm-settings (1.5.6-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 08 Feb 2022 13:44:28 -0800

lightdm-settings (1.5.6-1) unstable; urgency=medium

  * New upstream release
    - translation updates
    - Mouse cursors: properly parse theme names
  * Packaging Changes
    - control: Bump StandardsVersion; no changes required
    - copyright: Update copyright years
    - watch: replace git releases to upstream tag releases 

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 07 Dec 2021 19:47:37 +0000

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Martin Wimpress <code@flexion.org>,
           David Mohammed <fossfreedom@ubuntu.com>
Build-Depends: debhelper (>= 13),
               debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.6.0
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends: python3-setproctitle,
         python3-xapp,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM
 display manager.
 .
 This tool currently lets users configure slick-greeter.

## lightdm-settings 1.5.7

=== debian/changelog ===
lightdm-settings (1.5.7-1) unstable; urgency=medium

  * New upstream release
    - translation updates
  * Packaging Changes:
    - d/copyright bump copyright years

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 17 Mar 2022 11:50:52 +0000

=== debian/control ===
Source: lightdm-settings
Section: gnome
Priority: optional
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders:
 Martin Wimpress <code@flexion.org>,
 David Mohammed <fossfreedom@ubuntu.com>,
Build-Depends:
 debhelper (>= 13),
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Homepage: https://github.com/linuxmint/lightdm-settings
Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings

Package: lightdm-settings
Architecture: all
Depends:
 python3-setproctitle,
 python3-xapp,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: LightDM Settings Configuration Tool
 This package assists in settings configuration for the LightDM
 display manager.
 .
 This tool currently lets users configure slick-greeter.

## lightdm-settings 1.5.9

=== debian/changelog ===
lightdm-settings (1.5.9) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:14:02 +0200

lightdm-settings (1.5.8) vanessa; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 26 Jun 2022 15:54:17 +0200

lightdm-settings (1.5.7) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:46:14 +0000

lightdm-settings (1.5.6) una; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:35:16 +0000

## lightdm-settings 1.6.1

=== debian/changelog ===
lightdm-settings (1.6.1-1) unstable; urgency=medium

  * New upstream release
    - translation updates
    - Add a setting to configure the cursor-theme-size
  * Packaging Changes
    d/control: Add dependency on slick-greeter since this greeter delivers
    a schema that this app requires (Closes: #993213)
    d/control: Add runtime dependency on pkexec since this is used to
    execute the app from its desktop file
    d/control: remove unnecessary ${shlibs:Depends}
  * d/rules: Remove a lintian warning about an unknown locale

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 19 Dec 2022 10:02:36 +0000

lightdm-settings (1.5.9-1) unstable; urgency=medium

  * New upstream release
    - translation updates

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 26 Jul 2022 13:51:33 +0100

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,10 @@
 Depends:
  python3-setproctitle,
  python3-xapp,
+ slick-greeter (>= 1.6.0),
+ pkexec,
  ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
+ ${python3:Depends}
 Description: LightDM Settings Configuration Tool
  This package assists in settings configuration for the LightDM
  display manager.

## lightdm-settings 1.6.2

=== debian/changelog ===
lightdm-settings (1.6.2) preslee; urgency=medium

  * Initial Preslee build

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Wed, 15 Mar 2023 01:01:53 +0000

lightdm-settings (1.6.1) vera; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 16 Dec 2022 13:01:53 +0000

lightdm-settings (1.6.0) vera; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Michael Webster ]
  * Use the new 'cursor-theme-name' setting to set the cursor theme instead of modifying /usr/share/icons/default/index.theme.
  * Add a setting to configure the cursor-theme-size.

  [ Clement Lefebvre ]
  * Call a mouse a mouse
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 18:07:46 +0000

lightdm-settings (1.5.10) vera; urgency=medium

  [ Leigh Scott ]
  * Update deprecated distutils.version to packaging.version

  [ Michael Webster ]
  * Add python3-packaging to dependencies.

  [ Clement Lefebvre ]
  * Remove unnecessarily check

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 11:31:28 +0000

## lightdm-settings 1.8.0

=== debian/changelog ===
lightdm-settings (1.8.0) victoria; urgency=medium

  * a11y: Make the onboard layout configurable
  * Add a tooltip for the background setting.
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 11:14:22 +0100

## lightdm-settings 1.8.1

=== debian/changelog ===
lightdm-settings (1.8.1-1) unstable; urgency=medium

  * New upstream release
    - translation updates
    - Add a tooltip for the background setting
    - a11y: Make the onboard layout configurable
  * Packaging Changes
    d/control: Bump StandardsVersion - no changes required
    d/copyright: Bump copyright year
    d/control: Add recommends on numlockx to allow using the numlock key
    d/control: Add suggests for onboard

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 03 Jul 2023 23:17:38 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/linuxmint/lightdm-settings
 Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
 Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings
@@ -25,6 +25,9 @@
  pkexec,
  ${misc:Depends},
  ${python3:Depends}
+Recommends: numlockx
+Suggests:
+ onboard
 Description: LightDM Settings Configuration Tool
  This package assists in settings configuration for the LightDM
  display manager.

## lightdm-settings 1.8.2

=== debian/changelog ===
lightdm-settings (1.8.2) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 16:58:50 +0200

lightdm-settings (1.8.1) victoria; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 11:44:19 +0100

## lightdm-settings 2.0.1

=== debian/changelog ===
lightdm-settings (2.0.1-1) unstable; urgency=medium

  * New upstream release
    - translation updates
    - Add a setting to configure the user list alignment
  * Packaging changes
    - d/control Add Rules-Requires-Root: no

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 06 Dec 2023 21:49:55 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Simon Quigley <tsimonq2@debian.org>
 Uploaders:
  Martin Wimpress <code@flexion.org>,
- David Mohammed <fossfreedom@ubuntu.com>,
+ David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends:
  debhelper (>= 13),
  debhelper-compat (= 13),
@@ -15,6 +15,7 @@
 Homepage: https://github.com/linuxmint/lightdm-settings
 Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
 Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings
+Rules-Requires-Root: no
 
 Package: lightdm-settings
 Architecture: all

## lightdm-settings 2.0.2

=== debian/changelog ===
lightdm-settings (2.0.2) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:39:25 +0000

lightdm-settings (2.0.1) virginia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:00:15 +0000

lightdm-settings (2.0.0) virginia; urgency=medium

  [ Michael Webster ]
  * Remove unused lsb_release import.

  [ Eugenio Depalo ]
  * Add a setting to configure the user list alignment

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 17:07:54 +0000

## lightdm-settings 2.0.4

=== debian/changelog ===
lightdm-settings (2.0.4-1) unstable; urgency=medium

  * New upstream release
    - translation updates
    - add scrollbars to the settings pages
    - polkit - remove restrictions for remote/non-active sessions
  * Packaging Changes
    - d/control - remove unnecessary B/D on debhelper together with
      package obsolete dependency python3-xapp,
      add x11-xserver-utils due to the use of xrandr
    - d/copyright bump copyright year

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 18 Jun 2024 22:17:47 +0100

## lightdm-settings 2.0.5

=== debian/changelog ===
lightdm-settings (2.0.5) wilma; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:32:02 +0100

lightdm-settings (2.0.4) wilma; urgency=medium

  * l10n: Update translations
  * Update generate_desktop_files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 19:33:14 +0100

lightdm-settings (2.0.3) wilma; urgency=medium

  [ Michael Webster ]
  * polkit: Remove restrictions for remote/non-active sessions.

  [ Clement Lefebvre ]
  * Add scrollbars to settings pages
  * packaging: Update dependencies

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Jun 2024 13:58:19 +0100

## lightdm-settings 2.0.6

=== debian/changelog ===
lightdm-settings (2.0.6) xia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:42:01 +0000

## lightdm-settings 2.0.7

=== debian/changelog ===
lightdm-settings (2.0.7-1) unstable; urgency=medium

  * New upstream release
    - translation updates

 -- David Mohammed <fossfreedom@ubuntu.com>  Wed, 29 Jan 2025 22:44:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
  Martin Wimpress <code@flexion.org>,
  David Mohammed <fossfreedom@ubuntu.com>
 Build-Depends:
- debhelper (>= 13),
  debhelper-compat (= 13),
  dh-python,
  python3-all,
@@ -21,9 +20,9 @@
 Architecture: all
 Depends:
  python3-setproctitle,
- python3-xapp,
  slick-greeter (>= 1.6.0),
  pkexec,
+ x11-xserver-utils,
  ${misc:Depends},
  ${python3:Depends}
 Recommends: numlockx

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

%:
	dh $@ --with python3

override_dh_install:
	dh_install
	find $(CURDIR)/debian -type d -name ber | xargs -r rm -rfv

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/lightdm-settings-$1\.tar\.gz/,dversionmangle=s/~dfsg\d*// \
  https://github.com/linuxmint/lightdm-settings/tags .*/?(\d\.\d.\d)\.tar\.gz

## lightdm-settings 2.0.8

=== debian/changelog ===
lightdm-settings (2.0.8) zara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 31 Jul 2025 11:47:40 +0200

lightdm-settings (2.0.7) xia; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2025 14:03:30 +0000

## lightdm-settings 2.0.9

=== debian/changelog ===
lightdm-settings (2.0.9) zara; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Aug 2025 17:45:22 +0200

## lightdm-settings 2.1.0

=== debian/changelog ===
lightdm-settings (2.1.0-1) unstable; urgency=medium

  * New upstream release
    - translation updates
  * d/copyright Bump years
    d/control Remove unneeded rule-requires-root

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 22 Dec 2025 00:11:39 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
 Homepage: https://github.com/linuxmint/lightdm-settings
 Vcs-Git: https://salsa.debian.org/debian/lightdm-settings.git
 Vcs-Browser: https://salsa.debian.org/debian/lightdm-settings
-Rules-Requires-Root: no
 
 Package: lightdm-settings
 Architecture: all

## lightdm-settings 2.1.1

=== debian/changelog ===
lightdm-settings (2.1.1) zena; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jan 2026 16:05:20 +0000

lightdm-settings (2.1.0) zena; urgency=medium

  * l10n: Update translations
  * l10n: Update files

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 Dec 2025 16:54:10 +0000
